<!doctype html>
<html lang="en">
<head>
    <title>What are Domain Names?</title>
    <meta charset="UTF-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <meta http-equiv="X-UA-Compatible" content="ie=edge">
  <meta http-equiv="Cache-Control" content="no-cache, no-store, must-revalidate"/>
  <link rel="shortcut icon" href="/assets/img/logo.png" type="image/png">
  <meta http-equiv="Pragma" content="no-cache"/>
  <meta http-equiv="Expires" content="0"/>
  <!-- link rel="shortcut icon" href="/assets/img/logo.png" type="image/png"-->
  <link rel="stylesheet" href="/assets/styles.css">
</head>
<body>
<header class=nav-bar>
  <nav>
    <div class=sidebar-button></div>
    <!--div id=bwtoggle></div-->
    <a class="homelink spy" href="/">r<span class=hideable>wx.gg</span></a>
    <div class="nav-right">
      <!-- div id=search-box></div -->
      <ul class=nav-links>
        <li class=nav-item><a class=nav-link href="/boost/">Boosts</a></li>
        <!--
        <li class=nav-item><a class=nav-link href="/how/">HowTos</a></li>
        <li class=nav-item><a class=nav-link href="/contrib/">Contribute</a></li>
        -->
        <li class=nav-item><a class="nav-link" href="https://gitlab.com/rwx.gg/README">GitLab</a></li>
        <li class=nav-item><a class="nav-link" href="https://www.youtube.com/rwxrob">YouTube</a></li>
        <li class=nav-item><a class="nav-link" href="https://discord.gg/9wydZXY">Discord</a></li>
        <li class=nav-item><a class="nav-link" href="https://twitch.tv/rwxrob">Twitch</a></li>
      </ul>
    </div>
  </nav>
</header>
<main id=top>
<div class=container>  <h1 id=title class=duck><a href="https://duckduckgo.com/lite?kae=t&q=What are Domain Names?">What are Domain Names?</a></h1>
  <h2 id=subtitle>Easier to Remember than IP Numbers</h2>
  <p><em>Domain names</em> are what we use for websites, email, game servers, and such. They are friendlier than <a href="https://duck.com/lite?kae=t&amp;q=IP%20numbers">IP numbers</a>. Getting one is pretty easy these days — especially now that the <a href="/services/netlify/">Netlify</a> and <a href="https://namecheap.com">Namecheap</a> <a href="/services/">services</a> exist.</p>
  <div class="co-rant">
  <p>Don’t even <em>think</em> about getting a GoDaddy domain. The company is infamous using women’s scantily clad breasts to peddle domains and is notorious for holding domains hostage, pushing unwanted stuff on you, and having the worst customer service of any provider on the planet. It just needs to die the death it deserves.It is everything you might expect from the digital equivalent of a slimy real estate agent.</p>
  </div>
  <p>First, make sure you have a <em>secure</em> email provider such as <a href="https://duck.com/lite?kae=t&amp;q=ProtonMail">ProtonMail</a>.</p>
  <div class="co-warning">
  <p>Do <em>not</em> use Gmail. Google owns your email, not you and Gmail is regularly hacked, not something you want for the email used to manage your personal or professional domain names.</p>
  </div>
  <p>Create an account on <a href="https://namecheap.com">namecheap.com</a> (using your secure email address).</p>
  <p>Then find a domain you like and buy it.</p>
  <div class="co-fyi">
  <p>There are over 500 top-level domain suffixes these days. It’s hard to pick. The <code>dev</code>, <code>tech</code>, <code>gg</code>, <code>live</code>, and <code>io</code> domains seem to be coolest latest, but find your own that matches your goals. Keep in mind that your domain will be likely used <em>both</em> for your web site <em>and</em> for email so avoid domains like <code>site</code>, etc. The <code>xyz</code> domain says, “I’m cheap.” The old <code>com</code>, <code>biz</code>, and <code>net</code> domains mean you’re old.</p>
  </div>
  <p>You’ll have to wait a while for the Internet to see your new fancy domain. Be patient. When it <em>does</em> see it you’ll know because a placeholder from Namecheap will show up. You can also use the following command to check your domain.</p>
  <pre class="sh"><code>dig &lt;yourdomain&gt;</code></pre>
  <p>Or the older version.</p>
  <pre class="sh"><code>nslookup &lt;yourdomain&gt;</code></pre>
  <p>After your domain is ready you will want to point it at your site and possibly email.</p>
</main>
<footer>
  <p><a href="/copyright/" id=copyright>© 2020 Rob Muhlestein. Licensed under Creative Commons Attribution-ShareAlike.</a><br/>Does something seem to have changed? <a href="/changes/">Check the change log</a>.
  <br>See something wrong? <a class="nodecor" href="https://gitlab.com/rwx.gg/README/-/issues">Open a ticket</a>.
  </p>
</footer>
<script src="/assets/main.js"></script>
</body>
</html>